package com.iamberry.wechat.core.entity.agent;

import java.io.Serializable;

/**
 * 微代理会员中心 实体类
 * 2016年4月20日
 * @author 穆再兴
 *
 */
public class AgentMemberDto implements Serializable{
	private static final long serialVersionUID = 1137540642134509956L;

	private Integer userId;					//会员ID
	private String userOpenid;				//用户openid
	private String userHead;				//用户头像
	private String userNickname;			//用户昵称
	
	private Integer userIncome;				//收入金额，单位为分
	private int willIncome; 				//待返还金额，单位元
	private Integer shareType;				//是否显示分享二维码	 	1:不显示	2：显示
	private OrderStatusDto orderStatusDto;	//订单状态
	private Integer userIsVip;	//是否为vip
	private Integer user38Interests;		//是否有38女王节权益 ：1:有权益  2：无权益

	public Integer getUserId() {
		return userId;
	}
	public void setUserId(Integer userId) {
		this.userId = userId;
	}
	public String getUserOpenid() {
		return userOpenid;
	}
	public void setUserOpenid(String userOpenid) {
		this.userOpenid = userOpenid;
	}
	public String getUserHead() {
		return userHead;
	}
	public void setUserHead(String userHead) {
		this.userHead = userHead;
	}
	public String getUserNickname() {
		return userNickname;
	}
	public void setUserNickname(String userNickname) {
		this.userNickname = userNickname;
	}
	public Integer getUserIncome() {
		return userIncome;
	}
	public void setUserIncome(Integer userIncome) {
		this.userIncome = userIncome;
	}
	public int getWillIncome() {
		return willIncome;
	}
	public void setWillIncome(int willIncome) {
		this.willIncome = willIncome;
	}
	public OrderStatusDto getOrderStatusDto() {
		return orderStatusDto;
	}
	public void setOrderStatusDto(OrderStatusDto orderStatusDto) {
		this.orderStatusDto = orderStatusDto;
	}
	public Integer getShareType() {
		return shareType;
	}
	public void setShareType(Integer shareType) {
		this.shareType = shareType;
	}

	public Integer getUserIsVip() {
		return userIsVip;
	}

	public void setUserIsVip(Integer userIsVip) {
		this.userIsVip = userIsVip;
	}

	public Integer getUser38Interests() {
		return user38Interests;
	}

	public void setUser38Interests(Integer user38Interests) {
		this.user38Interests = user38Interests;
	}
}
